/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.geodata.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QGeodataPlz extends EntityPathBase<GeodataPlz> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QGeodataPlz geodataPlz = new QGeodataPlz("geodataPlz");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath plz = createString("plz");


  // Beziehungen N:1 unidirektional

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */
			
  public QGeodataPlz(Class<? extends GeodataPlz> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
  }

  public QGeodataPlz(String variable) {
    this(GeodataPlz.class, forVariable(variable), INITS);
  }

  public QGeodataPlz(Path<? extends GeodataPlz> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGeodataPlz(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGeodataPlz(PathMetadata metadata, PathInits inits) {
    this(GeodataPlz.class, metadata, inits);
  }
}
